Name:           libre-graph-api-cpp-qt
Version:        1.0.4
Release:        0%{?dist}
Summary:        Libre Graph API C++ Qt client

License:        Apache-2.0
URL:            https://github.com/owncloud/libre-graph-api-cpp-qt-client
Source0:        %{URL}/archive/refs/tags/v%{VERSION}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  qt6-qtbase-devel

%description
Libre Graph API C++ Qt client


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files, libraries and cmake supplementals
needed to develop applications that use %{name}.


%prep
%autosetup -n %{NAME}-client-%{VERSION}/client
cp ../LICENSE ../README.md .

%build
%cmake
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%doc README.md
%{_libdir}/libLibreGraphAPI.so.1{,.*}


%files devel
%{_includedir}/OpenAPI/LibreGraphAPI/
%{_libdir}/libLibreGraphAPI.so
%{_libdir}/cmake/LibreGraphAPI/


%changelog
%autochangelog

